Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.aocat.psis.client.utils
Class PDFSignatureAttributes

    java.lang.Object
      net.aocat.psis.client.utils.PDFSignatureAttributes

    public class PDFSignatureAttributes

extends java.lang.Object

PDF signature attributes.

Author:
  aalcaide

Field Summary
`static java.lang.String` | `ContactInfo` Contact info.
`private static java.lang.String` | `DSSPDFPrefix`
`static java.lang.String` | `Location` Location where the signature was produced.
`static java.lang.String` | `Reason` Reason of the signature
`static java.lang.String` | `SignerName` Name of the signer.

Constructor Summary
`PDFSignatureAttributes()`

Method Summary
`static java.util.List<java.lang.String>` | `getAllAttributes()` Returns a list with all the attributes.
`static java.util.HashMap<java.lang.String,java.lang.String>` | `initAttrsHM()` Builds a HashMap containing translated meaningful attribute descriptions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DSSPDFPrefix

    private static java.lang.String DSSPDFPrefix

### Reason

    public static java.lang.String Reason

  Reason of the signature

### Location

    public static java.lang.String Location

  Location where the signature was produced.

### SignerName

    public static java.lang.String SignerName

  Name of the signer.

### ContactInfo

    public static java.lang.String ContactInfo

  Contact info.

Constructor Detail

### PDFSignatureAttributes

    public PDFSignatureAttributes()

Method Detail

### getAllAttributes

    public static java.util.List<java.lang.String> getAllAttributes()

  Returns a list with all the attributes.

  Returns:
    list with all the attributes

### initAttrsHM

    public static java.util.HashMap<java.lang.String,java.lang.String> initAttrsHM()

  Builds a HashMap containing translated meaningful attribute descriptions.

  Returns:
    HashMap containing translated meaningful attribute descriptions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD